org.bdgenomics.adam.util

# ADAMShell

###
Related Doc: package util

#### object ADAMShell

Utility methods for use in adam-shell.

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ADAMShell
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val alignmentHeaders: Array[ASCIITableHeader]

   Alignment record headers.

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def createMetricsListener(sc: SparkContext): MetricsListener

   Create and return a new metrics listener for the specified Spark context.

   Create and return a new metrics listener for the specified Spark context.

   sc

     Spark context.

   returns

     Return a new metrics listener for the specified Spark context.

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### val featureHeaders: Array[ASCIITableHeader]

    Feature headers.

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### val genotypeHeaders: Array[ASCIITableHeader]

    Genotype headers.

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### def printAlignmentAttributes(alignments: Seq[AlignmentRecord], keys: Seq[String]): Unit

    Print attribute values for the specified alignment records.

    Print attribute values for the specified alignment records.

    alignments

      Sequence of alignments.

    keys

      Sequence of attribute keys.

20. #### def printAlignmentAttributes(alignments: AlignmentRecordDataset, keys: Seq[String], limit: Int = 10): Unit

    Print attribute values for alignment records in the specified AlignmentRecordDataset up to the limit.

    Print attribute values for alignment records in the specified AlignmentRecordDataset up to the limit.

    alignments

      AlignmentRecordDataset.

    keys

      Sequence of attribute keys.

    limit

      Number of alignment records to print attribute values for. Defaults to 10.

21. #### def printFeatureAttributes(features: Seq[Feature], keys: Seq[String]): Unit

    Print attribute values for the specified features.

    Print attribute values for the specified features.

    keys

      Sequence of attribute keys.

22. #### def printFeatureAttributes(features: FeatureDataset, keys: Seq[String], limit: Int = 10): Unit

    Print attribute values for features in the specified FeatureDataset up to the limit.

    Print attribute values for features in the specified FeatureDataset up to the limit.

    features

      FeatureDataset.

    keys

      Sequence of attribute keys.

    limit

      Number of features to print attribute values for. Defaults to 10.

23. #### def printFormatFields(genotypes: Seq[Genotype], keys: Seq[String], headerLines: Seq[VCFHeaderLine]): Unit

    Print VCF FORMAT field attributes for the specified genotypes.

    Print VCF FORMAT field attributes for the specified genotypes.

    genotypes

      Sequence of genotypes.

    keys

      Sequence of VCF FORMAT field attribute keys.

    headerLines

      Sequence of VCF header lines.

24. #### def printFormatFields(genotypes: GenotypeDataset, keys: Seq[String], limit: Int = 10): Unit

    Print VCF FORMAT field attributes for genotypes in the specified GenotypeDataset up to the limit.

    Print VCF FORMAT field attributes for genotypes in the specified GenotypeDataset up to the limit.

    genotypes

      GenotypeDataset.

    keys

      Sequence of VCF FORMAT field attribute keys.

    limit

      Number of genotypes to print VCF FORMAT field attribute values for. Defaults to 10.

25. #### def printGenotypeFilters(genotypes: Seq[Genotype], headerLines: Seq[VCFHeaderLine]): Unit

    Print genotype filter values for the specified genotypes.

    Print genotype filter values for the specified genotypes.

    genotypes

      Sequence of genotypes.

    headerLines

      Sequence of VCF header lines.

26. #### def printGenotypeFilters(genotypes: GenotypeDataset, limit: Int = 10): Unit

    Print genotype filter values for genotypes in the specified GenotypeDataset up to the limit.

    Print genotype filter values for genotypes in the specified GenotypeDataset up to the limit.

    genotypes

      GenotypeDataset.

    limit

      Number of genotypes to print genotype filter values for. Defaults to 10.

27. #### def printInfoFields(variants: Seq[Variant], keys: Seq[String], headerLines: Seq[VCFHeaderLine]): Unit

    Print VCF INFO field attributes for the specified variants.

    Print VCF INFO field attributes for the specified variants.

    variants

      Sequence of variants.

    keys

      Sequence of VCF INFO field attribute keys.

    headerLines

      Sequence of VCF header lines.

28. #### def printInfoFields(variants: VariantDataset, keys: Seq[String], limit: Int = 10): Unit

    Print VCF INFO field attributes for variants in the specified VariantDataset up to the limit.

    Print VCF INFO field attributes for variants in the specified VariantDataset up to the limit.

    variants

      VariantDataset.

    keys

      Sequence of VCF INFO field attribute keys.

    limit

      Number of variants to print VCF INFO field attribute values for. Defaults to 10.

29. #### def printMetrics(totalTime: Long, metricsListener: MetricsListener): Unit

    Print metrics gathered by the specified metrics listener.

    Print metrics gathered by the specified metrics listener.

    totalTime

      Total execution time, in ns.

    metricsListener

      Metrics listener.

30. #### def printMetrics(metricsListener: MetricsListener): Unit

    Print metrics gathered by the specified metrics listener.

    Print metrics gathered by the specified metrics listener.

    metricsListener

      Metrics listener.

31. #### def printSampleAttributes(samples: Seq[Sample], keys: Seq[String]): Unit

    Print attribute values for the specified samples.

    Print attribute values for the specified samples.

    samples

      Sequence of samples.

    keys

      Sequence of attribute keys.

32. #### def printVariantFilters(variants: Seq[Variant], headerLines: Seq[VCFHeaderLine]): Unit

    Print filter values for the specified variants.

    Print filter values for the specified variants.

    variants

      Sequence of variants to print filter values for.

    headerLines

      Sequence of VCF header lines.

33. #### def printVariantFilters(variants: VariantDataset, limit: Int = 10): Unit

    Print filter values for variants in the specified VariantDataset up to the limit.

    Print filter values for variants in the specified VariantDataset up to the limit.

    variants

      VariantDataset.

    limit

      Number of variants to print filter values for. Defaults to 10.

34. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

35. #### def toString(): String

    Definition Classes
      AnyRef → Any

36. #### val variantHeaders: Array[ASCIITableHeader]

    Variant headers.

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped